-- video_3dorder
-- @short: Switch when, in relation to the 2d pipeline, 3d processing should be active.
-- @inargs: *rt*, orderv
-- @longdescr: Due to technical / engine restrictions, the 3D pipeline is shared
-- with the 2D one storage- and API wise, but is performed separately.
-- The default is that the 3D pipeline is performed first, with 2D operations
-- drawn on top of that. If *rt* is specified, the flag is only applied to the
-- specified rendertarget.
-- This function can be used to change that behavior, depending on orderv:
-- ORDER_NONE/ORDER_SKIP, disable 3d rendering.
-- ORDER_FIRST, complete 3d operations before 2d operations, this is the default.
-- ORDER_LAST, complete 2d operations before 3d operations.
-- @group: vidsys
-- @cfunction: 3dorder

